
//| Change Symbol - Full.mq4 | file45 | http://codebase.mql4.com/en/author/file45

#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#include <mt4gui2.mqh>

extern color Radio_Color = Aqua;
extern int Radio_Width = 110;
extern int Radio_Gap = 5;
extern int Left_Right = 15;
extern int Up_Down = 75;
extern string Suffix = "";
extern string Symbol_1 = "EURUSD";
extern string Symbol_2 = "GBPUSD";
extern string Symbol_3 = "USDJPY";
extern string Symbol_4 = "USDCHF";
extern string Symbol_5 = "GOLD";
extern string Symbol_6 = "AUDCAD";
extern string Symbol_7 = "AUDCHF";
extern string Symbol_8 = "AUDJPY";
extern string Symbol_9 = "AUDNZD";
extern string Symbol_10 = "AUDUSD";
extern string Symbol_11 = "CADCHF";
extern string Symbol_12 = "CADJPY";
extern string Symbol_13 = "CHFJPY";
extern string Symbol_14 = "EURAUD";
extern string Symbol_15 = "EURCAD";
extern string Symbol_16 = "EURCHF";
extern string Symbol_17 = "EURGBP";
extern string Symbol_18 = "EURJPY";
extern string Symbol_19 = "EURNZD";
extern string Symbol_20 = "GBPAUD";
extern string Symbol_21 = "GBPCAD";
extern string Symbol_22 = "GBPCHF";
extern string Symbol_23 = "GBPJPY";
extern string Symbol_24 = "GBPNZD";
extern string Symbol_25 = "USDCAD";
extern string Symbol_26 = "SPARE";
extern string Symbol_27 = "SPARE";
extern string Symbol_28 = "SPARE";
extern string Symbol_29 = "SPARE";
extern string Symbol_30 = "SPARE";


int hwnd = 0;
int R1, R2, R3, R4, R5, R6, R7, R8, R9, R10, R11, R12, R13, R14, R15, R16, R17, R18, R19, R20, R21, R22, R23, R24, R25, R26, R27, R28, R29, R30;

int init()
{
   hwnd = WindowHandle(Symbol(),Period());    
   guiRemoveAll(hwnd);   
 
   {
      R1 = guiAdd(hwnd,"radio",Left_Right,Up_Down,Radio_Width,30,Symbol_1+Suffix);
      guiSetBgColor(hwnd, R1, Radio_Color);
      R2 = guiAdd(hwnd,"radio",Left_Right,20+Up_Down,Radio_Width,30,Symbol_2+Suffix);
      guiSetBgColor(hwnd, R2, Radio_Color);
      R3 = guiAdd(hwnd,"radio",Left_Right,40+Up_Down,Radio_Width,30,Symbol_3+Suffix);
      guiSetBgColor(hwnd, R3, Radio_Color);
      R4 = guiAdd(hwnd,"radio",Left_Right,60+Up_Down,Radio_Width,30,Symbol_4+Suffix); 
      guiSetBgColor(hwnd, R4, Radio_Color);  
      R5 = guiAdd(hwnd,"radio",Left_Right,80+Up_Down,Radio_Width,30,Symbol_5+Suffix); 
      guiSetBgColor(hwnd, R5, Radio_Color); 
      R6 = guiAdd(hwnd,"radio",Left_Right,100+Up_Down,Radio_Width,30,Symbol_6+Suffix); 
      guiSetBgColor(hwnd, R6, Radio_Color);  
      R7 = guiAdd(hwnd,"radio",Left_Right,120+Up_Down,Radio_Width,30,Symbol_7+Suffix); 
      guiSetBgColor(hwnd, R7,Radio_Color);  
      R8 = guiAdd(hwnd,"radio",Left_Right,140+Up_Down,Radio_Width,30,Symbol_8+Suffix); 
      guiSetBgColor(hwnd, R8,Radio_Color);  
      R9 = guiAdd(hwnd,"radio",Left_Right,160+Up_Down,Radio_Width,30,Symbol_9+Suffix); 
      guiSetBgColor(hwnd, R9,Radio_Color);  
      R10 = guiAdd(hwnd,"radio",Left_Right,180+Up_Down,Radio_Width,30,Symbol_10+Suffix);
      guiSetBgColor(hwnd, R10,Radio_Color);  
      R11 = guiAdd(hwnd,"radio",Left_Right,200+Up_Down,Radio_Width,30,Symbol_11+Suffix); 
      guiSetBgColor(hwnd, R11,Radio_Color);  
      R12 = guiAdd(hwnd,"radio",Left_Right,220+Up_Down,Radio_Width,30,Symbol_12+Suffix); 
      guiSetBgColor(hwnd, R12,Radio_Color);  
      R13 = guiAdd(hwnd,"radio",Left_Right,240+Up_Down,Radio_Width,30,Symbol_13+Suffix); 
      guiSetBgColor(hwnd, R13,Radio_Color);   
      R14 = guiAdd(hwnd,"radio",Left_Right,260+Up_Down,Radio_Width,30,Symbol_14+Suffix); 
      guiSetBgColor(hwnd, R14,Radio_Color);   
      R15 = guiAdd(hwnd,"radio",Left_Right,280+Up_Down,Radio_Width,30,Symbol_15+Suffix); 
      guiSetBgColor(hwnd, R15,Radio_Color);   
      
      R16 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,Up_Down,Radio_Width,30,Symbol_16+Suffix); 
      guiSetBgColor(hwnd, R16,Radio_Color);   
      R17 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,20+Up_Down,Radio_Width,30,Symbol_17+Suffix); 
      guiSetBgColor(hwnd, R17,Radio_Color);   
      R18 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,40+Up_Down,Radio_Width,30,Symbol_18+Suffix); 
      guiSetBgColor(hwnd, R18,Radio_Color);   
      R19 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,60+Up_Down,Radio_Width,30,Symbol_19+Suffix); 
      guiSetBgColor(hwnd, R19,Radio_Color);   
      R20 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,80+Up_Down,Radio_Width,30,Symbol_20+Suffix); 
      guiSetBgColor(hwnd, R20,Radio_Color);   
      R21 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,100+Up_Down,Radio_Width,30,Symbol_21+Suffix); 
      guiSetBgColor(hwnd, R21,Radio_Color);   
      R22 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,120+Up_Down,Radio_Width,30,Symbol_22+Suffix); 
      guiSetBgColor(hwnd, R22,Radio_Color);   
      R23 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,140+Up_Down,Radio_Width,30,Symbol_23+Suffix); 
      guiSetBgColor(hwnd, R23,Radio_Color);   
      R24 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,160+Up_Down,Radio_Width,30,Symbol_24+Suffix); 
      guiSetBgColor(hwnd, R24,Radio_Color);   
      R25 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,180+Up_Down,Radio_Width,30,Symbol_25+Suffix); 
      guiSetBgColor(hwnd, R25,Radio_Color);   
      R26 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,200+Up_Down,Radio_Width,30,Symbol_26+Suffix); 
      guiSetBgColor(hwnd, R26,Radio_Color);   
      R27 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,220+Up_Down,Radio_Width,30,Symbol_27+Suffix); 
      guiSetBgColor(hwnd, R27,Radio_Color);   
      R28 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,240+Up_Down,Radio_Width,30,Symbol_28+Suffix); 
      guiSetBgColor(hwnd, R28,Radio_Color);   
      R29 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,260+Up_Down,Radio_Width,30,Symbol_29+Suffix); 
      guiSetBgColor(hwnd, R29,Radio_Color);   
      R30 = guiAdd(hwnd,"radio",100+Radio_Gap+Left_Right,280+Up_Down,Radio_Width,30,Symbol_30+Suffix); 
      guiSetBgColor(hwnd, R30,Radio_Color);   
   }
   return(0);
}

int deinit()
{
   if (hwnd>0) 
   { 
      guiRemoveAll(hwnd);     
      guiCleanup(hwnd ); 
   }
   return(0);
}

int start()
{
   if(guiIsClicked(hwnd, R1)) guiChangeSymbol(hwnd,Symbol_1+Suffix);
   if(guiIsClicked(hwnd, R2)) guiChangeSymbol(hwnd,Symbol_2+Suffix);
   if(guiIsClicked(hwnd, R3)) guiChangeSymbol(hwnd,Symbol_3+Suffix);
   if(guiIsClicked(hwnd, R4)) guiChangeSymbol(hwnd,Symbol_4+Suffix);
   if(guiIsClicked(hwnd, R5)) guiChangeSymbol(hwnd,Symbol_5+Suffix);
   if(guiIsClicked(hwnd, R6)) guiChangeSymbol(hwnd,Symbol_6+Suffix);
   if(guiIsClicked(hwnd, R7)) guiChangeSymbol(hwnd,Symbol_7+Suffix);
   if(guiIsClicked(hwnd, R8)) guiChangeSymbol(hwnd,Symbol_8+Suffix);
   if(guiIsClicked(hwnd, R9)) guiChangeSymbol(hwnd,Symbol_9+Suffix);
   if(guiIsClicked(hwnd, R10)) guiChangeSymbol(hwnd,Symbol_10+Suffix);
   if(guiIsClicked(hwnd, R11)) guiChangeSymbol(hwnd,Symbol_11+Suffix);
   if(guiIsClicked(hwnd, R12)) guiChangeSymbol(hwnd,Symbol_12+Suffix);
   if(guiIsClicked(hwnd, R13)) guiChangeSymbol(hwnd,Symbol_13+Suffix);
   if(guiIsClicked(hwnd, R14)) guiChangeSymbol(hwnd,Symbol_14+Suffix);
   if(guiIsClicked(hwnd, R15)) guiChangeSymbol(hwnd,Symbol_15+Suffix);
   if(guiIsClicked(hwnd, R16)) guiChangeSymbol(hwnd,Symbol_16+Suffix);
   if(guiIsClicked(hwnd, R17)) guiChangeSymbol(hwnd,Symbol_17+Suffix);
   if(guiIsClicked(hwnd, R18)) guiChangeSymbol(hwnd,Symbol_18+Suffix);
   if(guiIsClicked(hwnd, R19)) guiChangeSymbol(hwnd,Symbol_19+Suffix);
   if(guiIsClicked(hwnd, R20)) guiChangeSymbol(hwnd,Symbol_20+Suffix);
   if(guiIsClicked(hwnd, R21)) guiChangeSymbol(hwnd,Symbol_21+Suffix);
   if(guiIsClicked(hwnd, R22)) guiChangeSymbol(hwnd,Symbol_22+Suffix);
   if(guiIsClicked(hwnd, R23)) guiChangeSymbol(hwnd,Symbol_23+Suffix);
   if(guiIsClicked(hwnd, R24)) guiChangeSymbol(hwnd,Symbol_24+Suffix);
   if(guiIsClicked(hwnd, R25)) guiChangeSymbol(hwnd,Symbol_25+Suffix);
   if(guiIsClicked(hwnd, R26)) guiChangeSymbol(hwnd,Symbol_26+Suffix);
   if(guiIsClicked(hwnd, R27)) guiChangeSymbol(hwnd,Symbol_27+Suffix);
   if(guiIsClicked(hwnd, R28)) guiChangeSymbol(hwnd,Symbol_28+Suffix);
   if(guiIsClicked(hwnd, R29)) guiChangeSymbol(hwnd,Symbol_29+Suffix);
   if(guiIsClicked(hwnd, R30)) guiChangeSymbol(hwnd,Symbol_30+Suffix);
   
   return(0);
}


